Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect

From: Mike Gabriel <[email-masked]>
Date: Thu, 11 Dec 2014 10:03:09 +0000

Hi Jasmin,

On  Do 11 Dez 2014 01:09:44 CET, Jasmin Lévesque wrote:

> When using the latest x2goserver and connecting with x2go client on
> Windows, the client crashes on connect.
>
> I tried the latest nightly build and my own compiled from HEAD (to solve
> issue #676), with 2 different clients (v4.0.3.0 & v4.0.2.0)  the behavior
> is the same.
>
> I also tried not to use a full fledged KDE session, even with a single
> application "xterm" the app crashes. I tried a combination of client-side
> configs (no sound, no clipboard, no printing etc..) with the same results.
>
> I created a server with a fresh CentOS install to isolate any possible
> server-side configuration issue, the behavior is the same again.
>
> I see that the server creates the ssh connection, the client get to
> acknowledge the new server ssh key, the client crashes a few seconds later.
> There is no log entries generated in the %userprofile%/.x2go or in the
> /home/$USER/.x2go/  folder.
>
> If you can think about any other test case, i'm willing to try them and
> provide feedback.
>
> Thanks,

to narrow down this issue, please try these steps:

   o enable loglevel=debug in /etc/x2go/x2goserver.conf, what do you see in
     /var/log/messages?
   o use a Linux X2Go Client
   o use PyHoca-GUI or PyHoca-CLI as client application for X2Go on a Linux
     machine (with --libdebug option on the cmdline)
   o btw. do you actually see the session window (for desktop sessions)
     appear? (and then disappear?)
   o try ssh user@server -X nxagent :20 (does nxagent come up?)

We have to find out, if your crash is an X2Go Server bug or an NX bug  
on EPEL-7.

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb